	TTL	M6805 macro tests: high RAM subr's
	ORG     $100	high RAM
*	TTL	M6805 macro tests: low RAM subr's
*	ORG     $60	low RAM

ZERO	EQU	$0
LOW	EQU	$50
CNTL	EQU	LOW+2
CNTH	EQU	$1EFC
HIGH	EQU	CNTH+2
HIGH0	EQU	$1E00

	INCLUDE	MACROS05.MAC

	ORG     $400
	INCLUDE	RAMSBR.INI

START	EQU	*
* @@@@@@@@ DREG tests start here
	LDD	ZERO	!-------------------------
	LDD	LOW	!-------------------------
	LDD	HIGH	!-------------------------
	LDD	#,0	!-------------------------
	LDD	#,LOW	!-------------------------
	LDD	#,HIGH	!-------------------------
	LDD	#,HIGH0	!-------------------------
	STD	LOW	!-------------------------
	STD	HIGH	!-------------------------

	ADDD	LOW	!-------------------------
	ADDD	HIGH	!-------------------------
	ADDD	#,LOW	!-------------------------
	ADDD	#,HIGH	!-------------------------

	SUBD	LOW	!-------------------------
	SUBD	HIGH	!-------------------------
	SUBD	#,LOW	!-------------------------
	SUBD	#,HIGH	!-------------------------

	CPD	ZERO	!-------------------------
	CPD	LOW	!-------------------------
	CPD	HIGH	!-------------------------
	CPD	#,0	!-------------------------
	CPD	#,LOW	!-------------------------
	CPD	#,HIGH	!-------------------------
	CPD	#,HIGH0	!-------------------------

* @@@@@@@@ XREG tests start here
	LDAXY	,XREG	!-------------------------
	LDAXY	0,XREG	!-------------------------
	LDAXY	5,XREG	!-------------------------
	LDAXY	LOW,XREG !------------------------
	LDAXY	HIGH,XREG !-----------------------

	STAXY	,XREG	!-------------------------
	STAXY	0,XREG	!-------------------------
	STAXY	5,XREG	!-------------------------
	STAXY	LOW,XREG !------------------------
	STAXY	HIGH,XREG !-----------------------

	LDXR	ZERO	!-------------------------
	LDXR	LOW	!-------------------------
	LDXR	HIGH	!-------------------------
	LDXR	#,0	!-------------------------
	LDXR	#,LOW	!-------------------------
	LDXR	#,HIGH	!-------------------------
	LDXR	#,HIGH0	!-------------------------

	STXR	LOW	!-------------------------
	STXR	HIGH	!-------------------------

	INCXR		!-------------------------
	INCXR	LOW	!-------------------------
	INCXR	HIGH	!-------------------------
	INCXR	#,LOW	!-------------------------
	INCXR	#,HIGH	!-------------------------

	DECXR		!-------------------------
	DECXR	LOW	!-------------------------
	DECXR	HIGH	!-------------------------
	DECXR	#,LOW	!-------------------------
	DECXR	#,HIGH	!-------------------------

	CPXR	ZERO	!-------------------------
	CPXR	LOW	!-------------------------
	CPXR	HIGH	!-------------------------
	CPXR	#,0	!-------------------------
	CPXR	#,LOW	!-------------------------
	CPXR	#,HIGH	!-------------------------
	CPXR	#,HIGH0	!-------------------------

* @@@@@@@@ YREG tests start here
	LDAXY	,YREG	!-------------------------
	LDAXY	0,YREG	!-------------------------
	LDAXY	5,YREG	!-------------------------
	LDAXY	LOW,YREG !------------------------
	LDAXY	HIGH,YREG !-----------------------

	STAXY	,YREG	!-------------------------
	STAXY	0,YREG	!-------------------------
	STAXY	5,YREG	!-------------------------
	STAXY	LOW,YREG !------------------------
	STAXY	HIGH,YREG !-----------------------

	LDYR	ZERO	!-------------------------
	LDYR	LOW	!-------------------------
	LDYR	HIGH	!-------------------------
	LDYR	#,0	!-------------------------
	LDYR	#,LOW	!-------------------------
	LDYR	#,HIGH	!-------------------------
	LDYR	#,HIGH0	!-------------------------

	STYR	LOW	!-------------------------
	STYR	HIGH	!-------------------------

	INCYR		!-------------------------
	INCYR	LOW	!-------------------------
	INCYR	HIGH	!-------------------------
	INCYR	#,LOW	!-------------------------
	INCYR	#,HIGH	!-------------------------

	DECYR		!-------------------------
	DECYR	LOW	!-------------------------
	DECYR	HIGH	!-------------------------
	DECYR	#,LOW	!-------------------------
	DECYR	#,HIGH	!-------------------------

	CPYR	ZERO	!-------------------------
	CPYR	LOW	!-------------------------
	CPYR	HIGH	!-------------------------
	CPYR	#,0	!-------------------------
	CPYR	#,LOW	!-------------------------
	CPYR	#,HIGH	!-------------------------
	CPYR	#,HIGH0	!-------------------------

* @@@@@@@@ DEC tests start here
	DEC.B	LOW	!-------------------------
	DEC.B	#,5,LOW	!-------------------------
	DEC.B	CNTL,LOW !------------------------
	DEC.B	CNTH,LOW !------------------------

	DEC.W	LOW	!-------------------------
	DEC.W	#,5,LOW	!-------------------------
	DEC.W	CNTL,LOW !------------------------
	DEC.W	CNTH,LOW !------------------------

	INC.B	LOW	!-------------------------
	INC.B	#,5,LOW	!-------------------------
	INC.B	CNTL,LOW !------------------------
	INC.B	CNTH,LOW !------------------------

	INC.W	LOW	!-------------------------
	INC.W	#,5,LOW	!-------------------------
	INC.W	CNTL,LOW !------------------------
	INC.W	CNTH,LOW !------------------------

* @@@@@@@@ MOV tests start here
	MOV.B	#,0,LOW	!-------------------------
	MOV.B	#,5,LOW	!-------------------------
	MOV.B	CNTL,LOW !------------------------
	MOV.B	CNTH,LOW !------------------------
	MOV.B	#,0,HIGH !------------------------
	MOV.B	#,5,HIGH !------------------------
	MOV.B	CNTL,HIGH !-----------------------
	MOV.B	CNTH,HIGH !-----------------------

	MOV.W	#,0,LOW	!-------------------------
	MOV.W	#,5,LOW	!-------------------------
	MOV.W	#,CNTL,LOW !----------------------
	MOV.W	#,CNTH,LOW !----------------------
	MOV.W	CNTL,LOW !------------------------
	MOV.W	CNTH,LOW !------------------------
	MOV.W	#,0,HIGH !------------------------
	MOV.W	#,5,HIGH !------------------------
	MOV.W	#,CNTL,HIGH !---------------------
	MOV.W	#,CNTH,HIGH !---------------------
	MOV.W	CNTL,HIGH !-----------------------
	MOV.W	CNTH,HIGH !-----------------------

* @@@@@@@@ MOVE tests start here
	MOVE	#,.RAMSBR$,#,RAMSBR$,#,RAMSZ$ !---
	MOVE	#,.RAMSBR$,#,RAMSBR$,,CNTL !------
	MOVE	#,.RAMSBR$,,LOW,#,RAMSZ$ !--------
	MOVE	,LOW,#,RAMSBR$,#,RAMSZ$ !---------
	END
